<?php

namespace Litecms\OurPorfolio;

use User;

class OurPorfolio
{
    /**
     * $portfolio object.
     */
    protected $portfolio;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\OurPorfolio\Interfaces\PortfolioRepositoryInterface $portfolio)
    {
        $this->portfolio = $portfolio;
    }

    /**
     * Returns count of our_porfolio.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.portfolio.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->portfolio->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PortfolioUserCriteria());
        }

        $portfolio = $this->portfolio->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('our_porfolio::' . $view, compact('portfolio'))->render();
    }
}
