<?php

namespace Litecms\OurPorfolio\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PortfolioTransformer extends TransformerAbstract
{
    public function transform(\Litecms\OurPorfolio\Models\Portfolio $portfolio)
    {
        return [
            'id'                => $portfolio->getRouteKey(),
            'key'               => [
                'public'    => $portfolio->getPublicKey(),
                'route'     => $portfolio->getRouteKey(),
            ], 
            'name'              => $portfolio->name,
            'description'       => $portfolio->description,
            'image'             => $portfolio->image,
            'status'            => $portfolio->status,
            'url'               => [
                'public'    => trans_url('our_porfolio/'.$portfolio->getPublicKey()),
                'user'      => guard_url('our_porfolio/portfolio/'.$portfolio->getRouteKey()),
            ], 
            'status'            => trans('app.'.$portfolio->status),
            'created_at'        => format_date($portfolio->created_at),
            'updated_at'        => format_date($portfolio->updated_at),
        ];
    }
}